Skip to main content

Questions tagged [cuda]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
0 votes
0 answers
29 views

How to Troubleshoot Problem with CUDA not seeing GPU ./deviceQuery return cudaGetDeviceCount 802 System not yet Initialized

I’m new to CUDA and GPU stuff. I have an older GPU a GT 720. My goal is to get tortoise-tts working. I guess, I’m assuming I need CUDA to do this. On bare metal, I installed Ubuntu 20.04 and the ...
Halfstop's user avatar
  • 101
-1 votes
1 answer
65 views

Where is CUDA deviceQuery installed in Pop!OS?

I am using Pop!OS and would like to run the CUDA deviceQuery tool, which can apparently provide info about the number of blocks and threads available for CUDA on an NVidia GPU. However, I am not sure ...
Time4Tea's user avatar
  • 2,405
0 votes
1 answer
193 views

Lots of errors trying to update nvidia drivers with dnf update --refresh on Fedora 39

So about a week or two ago I tried updating my kernel which incidentally broke my NVIDIA Drivers somehow. Every startup I'd get the "NVIDIA Kernel module broken. Reverting to nouveau" ...
Lobster Roast's user avatar
0 votes
1 answer
42 views

GPU RTX 3090 keeps of going into ERR after some usage

I have been struggling with some issue with a GPU I have on my machine. Currently the GPU works fine for some training work. But it goes into ERR when I type nvidia-smi. What happens then is that I ...
luchino_prince's user avatar
0 votes
0 answers
17 views

Wifi not working anymore (possibly because of installation of CUDA drivers and/or nvidia-smi)

I installed nvidia CUDA drivers and nvidia-smi on a Debian system where I had no wifi problems until now. I tried many sudo apt install commands and downloaded some *.deb files until I finally got the ...
René Nyffenegger's user avatar
0 votes
0 answers
76 views

Multiple NVIDIA RTX GPU for Cuda (arch linux) with EGPU

I've got an arch linux, with two GPU in the laptop (thinkpad P14s Gen 4) + a new RTX 3090 plugged via thunderbolt 4 with the Cool Master EG200 GPU enclosure: ❯ lspci -k | grep -A 2 -E "(VGA|3D)&...
aemonge's user avatar
  • 101
1 vote
0 answers
40 views

There are no scripts running, but the GPU memory is still allocated

I am accessing a remote Linux server from a local machine. There are no scripts running on the remote server, but the GPU memory is still allocated. P.S.: It might be attributable to some crash. The ...
lllIlllllIll's user avatar
0 votes
0 answers
119 views

A process using CUDA gets stuck, then all others get stuck as well - what do I do?

I’m writing some program using CUDA CUDA 12.1, running on a Linux system (Devuan Daedalus, kernel version 6.1.27). For some reason (which may be a bug of mine, although I kind of doubt it) - the ...
einpoklum's user avatar
  • 9,643
1 vote
0 answers
1k views

How can I downgrade CUDA from 12.0 to 11.8 via command line?

I use Ubuntu 20.04.5 LTS with an NVIDIA A100 40GB GPU and CUDA 12.0. How can I downgrade CUDA from 12.0 to 11.8 via command line?
Franck Dernoncourt's user avatar
0 votes
0 answers
746 views

How to install torch for cuda in Linux?

I would like to install pytorch for cuda, but getting had package conflicts. How to resolve this? $ uname -r 3.10.0-1160.71.1.el7.x86_64 $ python -c "import torch; print(torch.version.cuda)"...
Sher's user avatar
  • 113
1 vote
0 answers
319 views

How do I install CUDA from the extracted the local runfile?

I've downloaded a runfile of a recent CUDA version (say, 12.0), made it executable, and ran it with: ./cuda_12.0.1_525.85.12_linux.run --extract=/tmp/cuda-install and suppose I no longer have the ...
einpoklum's user avatar
  • 9,643
0 votes
0 answers
181 views

Nvidia GPU driver won't compile from RPM

I recently update from OpenSuSE 15.3 to 15.4 including a GPU update to be able to use the new drivers (beyond version 490). Since this upgrade the kernel module is not updated by any RPM base install. ...
msebas's user avatar
  • 101
0 votes
0 answers
80 views

GPUDirect RDMA on X86 linux PC, driver build issue

I am trying to do GPUDirect RDMA mentioned in the below link. I am using an X86 Linux PC with Quadro M4000 GPU and CUDA 12.0 tool kit. While building the driver and executing CUDA programming, I am ...
Apex Intern's user avatar
2 votes
1 answer
1k views

Restricting user access to nvidia GPU?

On a server with Tesla Nvidia Card we decide to Restrict user access to GPU. In our server 2 GPU. # ls -las /dev/nvidia* 0 crw-rw-rw-. 1 root root 195, 0 Dec 2 22:02 /dev/nvidia0 0 crw-rw-rw-. 1 ...
Nikolay Baranenko's user avatar
2 votes
1 answer
472 views

Stuck at booting after upgrading

My GPU is NVIDIA - GeForce RTX 3090 Ti, and the OS is Ubuntu 18.04. As my code didn’t work, I checked the versions of python, pytorch, cuda, and cudnn. Python: 3.6 torch. version : 1.4.0 torch....
user12077723's user avatar
2 votes
1 answer
6k views

How to install matching version of nvidia-cuda-toolkit?

I have installed the NVIDIA drivers for my system (Ubuntu 22) as follows: Download the installer script: https://us.download.nvidia.com/XFree86/Linux-x86_64/515.65.01/NVIDIA-Linux-x86_64-515.65.01....
user avatar
4 votes
3 answers
6k views

How do I use Cuda toolkit nvcc 11.7.1 on Fedora 36?

As of Sept 2022, Nvidia still has not officially supported cuda toolkit on Fedora 36. The particular part missing is support for gcc12, which Fedora 36 defaults to. One solution to use nvcc on fedora ...
xdavidliu's user avatar
  • 343
0 votes
1 answer
329 views

low resolution after installing nvidia-cuda-toolkit from Debian 11 nonfree package (not from Nvidia site)

I installed Debian 11 on my desktop, and on first boot, the Noveau drivers worked fine and had the high resolution, though moving windows was slightly laggy as to be expected. I then installed the ...
xdavidliu's user avatar
  • 343
3 votes
0 answers
2k views

why Cuda not detected by hashcat?

I have the following graphices cards installed in my workstation Thu Aug 18 19:22:51 2022 +-----------------------------------------------------------------------------+ | NVIDIA-SMI 515.65.01 ...
tochka's user avatar
  • 31
0 votes
1 answer
432 views

Docker Ubuntu container on Debian host with custom CUDA/cuDNN

I have access to Debian 11 server, where some arbitrary NVIDIA driver and CUDA versions are installed. However, since many people use the server, different versions of CUDA and cuDNN are required by ...
eXPRESS's user avatar
  • 103
0 votes
0 answers
100 views

How do you set up nvidia mps daemon to launch at boot time on arch Linux?

I've tried searching the web, and I can't find anything that just gives a command on how to get systemctl to enable it. I've tried having systemctl list the installed and I couldn't find anything on ...
Noah Williams's user avatar
1 vote
3 answers
8k views

Ubuntu 22.04, Dual graphic cards, Intel for display, NVidia for GPGPU, how to setup?

My laptop got 2 graphics cards, something very similar to: https://www.linuxbabe.com/desktop-linux/switch-intel-nvidia-graphics-card-ubuntu . I would like to have Intel graphic card for display ...
Pei JIA's user avatar
  • 111
2 votes
1 answer
656 views

Cuda installation, conflicting nvidia drivers seem to not exist

I am a relatively new Linux user getting an error about conflicting nvidia drivers when installing cuda on Centos 7: Error: nvidia-driver-latest-dkms-libs conflicts with nvidia-x11-drv-libs-515.48.07-...
nickb's user avatar
  • 21
0 votes
0 answers
2k views

CUDA 11.7 failing to install on Debian sid

I'm trying to install CUDA 11.7 (the latest) on Debian sid using the NVIDIA-recommended method, but am running into the following errors: $ uname -a Linux foo 5.17.0-1-amd64 #1 SMP PREEMPT Debian 5.17....
davewy's user avatar
  • 153
0 votes
1 answer
916 views

How can update my broken CUDA packages?

How I can fix the following problem? I want to update both these CUDA packages. Check if you are using third party repositories. If so disable them, since they are a common source of problems. ...
Shiva Manhar's user avatar
0 votes
1 answer
741 views

Clearing apt-cache policy version table to prevent the installation of newer versions

I am trying to install a specific package , CUDA for Nvidia to be exact. I followed the steps in their developer guide and my question is not about CUDA specifically. When I try to install it with APT ...
Ismail Shaheen's user avatar
1 vote
1 answer
168 views

Installation of iMod on CentOS 7

I'm trying to create a shell script that installs a series of things for me. One such thing is iMod. I've located self-installing shell script for iMod and have run the following commands on my bash ...
flying_loaf_3's user avatar
1 vote
0 answers
241 views

how to run cuda-uninstaller without interaction?

the cuda-unintaller does not have any help message. I try to use -s or --silent but it does not work. I do not want to run the uninstaller on all machines manually and select the components to ...
Wang's user avatar
  • 1,336
0 votes
1 answer
2k views

/usr/local/cuda/version.txt does not match with /usr/lib/cuda/version

I realized that the server I am working on has problem with the CUDA versions. WHen I check the CUDA version with nvidia-smi, nvcc --version and cat /usr/local/cuda/version.txt - they all yield ...
user avatar
1 vote
4 answers
9k views

Installing CUDA Toolkit (11.5) on Debian (11)

The instructions to install CUDA Toolkit (11.5) on Debian (11) are nicely organized here: developer.nvidia.com/cuda-downloads. But I seem to run in a small dependency issue, whether I try the deb (...
Seub's user avatar
  • 172
1 vote
0 answers
138 views

Use the GPU on another process when it is available(Nice-like command for GPU)

I have a program that uses a lot of GPU power. During some epochs, for example, it takes a job and processes it, and then waits about 10 to 15 minutes before taking the next job. When the main program ...
Shervin Ivari's user avatar
0 votes
0 answers
241 views

Linux source path issue with nvidia graphic driver installation

I'm trying to install nvidia driver on Ubuntu Linux 20. The issue - I'm getting the following error during installation. If you are using a Linux 2.6 kernel, please make sure you have configured ...
solomancode's user avatar
4 votes
0 answers
876 views

CUDA not available on Deep Learning AMI (DLAMI) running on an Amazon EC2 P2 instance

I am running the Ubuntu 18.04 Deep Learning AMI (DLAMI) on AWS, and am attempting to run it on a p2.xlarge EC2 instance, but CUDA is not available in my Python interpreter. I was assuming that CUDA ...
J. Taylor's user avatar
  • 2,685
3 votes
0 answers
3k views

"cuda-runtime-11-3: Depends: cuda-drivers but it is not going to be installed" - want to install anyway

Background I want to build (not run) a program using CUDA 11.3, on an Ubuntu 20.04 machine (a Travis CI machine actually). To do this, I want to install, among other things, the cuda-runtime-11-3 ...
einpoklum's user avatar
  • 9,643
2 votes
1 answer
465 views

CentOS 8 can't boot after cuda toolkit installation

[Lenovo LEGION laptop with dual boot - win10 and centos 8] I was trying to run some YOLOv5 example on my laptop Tutorial#1, using pycharm. to keep it under control I've generated an yolov5 conda ...
Liran's user avatar
  • 21
1 vote
0 answers
1k views

RuntimeError: CUDA unknown error - this may be due to an incorrectly set up environment, e.g. changing env variable CUDA_VISIBLE_DEVICES

I am trying to check the GPU device name but after executing this code. I got this unknown runtime error. please help me to solve this problem and give complete instructions to solve this error. ...
Vinoth Kumar S's user avatar
0 votes
1 answer
97 views

Graphic driver versions available for Ubuntu 16

I have Nvidia GTX 1080Ti and according to Nvidia's website the latest driver version is 460. I tried to install this and failed. With the .run file nothing got installed. With ppa and ubuntu-drivers ...
anoob's user avatar
  • 1
1 vote
1 answer
528 views

CUDA on kernel 5.9

I tried to install cuda on Manjaro with kernel linux54 and linux59 but did not manage to get it work. I have a 64-bit laptop with Hybrid graphics, my graphic card being a GeForce 950M. My video-driver ...
Tristan Nemoz's user avatar
0 votes
0 answers
283 views

NVIDIA driver version/pytorch error message on Ubuntu 18.04

in pycharm IDE I get the following error message: RuntimeError: The NVIDIA driver on your system is too old (found version 9010). Please update your GPU driver by downloading and installing a new ...
john price's user avatar
2 votes
1 answer
2k views

Installing CUDA on Debian Machine 10.3

So, I am trying to install Cuda on Debian 10.3 on SageMaker studio instance ml.g4dn.xlarge. I am trying the instructions from here: https://developer.nvidia.com/cuda-downloads?target_os=Linux&...
learner's user avatar
  • 85
0 votes
1 answer
2k views

failure: repodata/repomd.xml from libnvidia-container: [Errno 256] No more mirrors to try

I followed the instructions from https://developer.nvidia.com/cuda-80-ga2-download-archive sudo rpm -i cuda-repo-rhel7-8-0-local-ga2-8.0.61-1.x86_64-rpm sudo yum clean all sudo yum install cuda Now I ...
Mona Jalal's user avatar
1 vote
1 answer
2k views

dpkg-shlibdeps fails with “no dependency information found”

I am building a custom debian package for tensorflow. At some point, when I run dpkg-buildpackage -us -uc I get: dpkg-shlibdeps: error: no dependency information found for /usr/local/cuda-9.1/lib64/...
Piotr G's user avatar
  • 121
2 votes
1 answer
3k views

Should I grant sudo to a user or add CAP_SYS_ADMIN capabilities to use nvprof/ncu? And why?

Since CUDA 10.1, users are required to have sudo privileges to collect advanced metrics with cuda profiling tools such as nvprof or nsight compute (ncu). Alternatives to get around it are described ...
nico's user avatar
  • 183
1 vote
1 answer
256 views

compiling HPL-2.0_FERMIv15

when i compile xhpl i always get the error message: ./xhpl: error while loading shared libraries: libdgemm.so.1: cannot open shared object file: No such file or directory when i type ldd xhpl: linux-...
Tim Tonic's user avatar
2 votes
0 answers
496 views

How to fix broken CUDA installation [ZorinOS/Ubuntu]?

I have some problems installing CUDA on ZorinOS (I know it's not officially supported, but it acts much like Ubuntu). I tried to install it the way it is described in the official documentation, did ...
Totemi1324's user avatar
9 votes
3 answers
35k views

libGL error: No matching fbConfigs or visuals found | Glxgears error, Docker, CUDA, VirtualGL

when I run glxgears, I get following error. libGL error: No matching fbConfigs or visuals found libGL error: failed to load driver: swrast Error: couldn't get an RGB, Double-buffered visual My ...
trainmaniak's user avatar
0 votes
0 answers
58 views

"Hermetically" override a distribution-installed CUDA with a locally-installed version

In my Devuan GNU/Linux Beowulf distribution (which is essentially Debian Buster without systemd), CUDA 10.1 is installed. I don't want to uninstall it for various reasons; but - I do want to use a ...
einpoklum's user avatar
  • 9,643
4 votes
1 answer
5k views

CUDA 10 and dkms on RHEL8

I want to install CUDA according to the info on NVIDIA CUDA toolkit site wget http://developer.download.nvidia.com/compute/cuda/10.2/Prod/local_installers/cuda-repo-rhel8-10-2-local-10.2.89-440.33.01-...
martin's user avatar
  • 203
1 vote
1 answer
3k views

Unable to find (and uninstall) installed version of CUDA

I am trying to install CUDA version 10.0, but it is telling me a newer version is already installed. I am not able to find the newer version, so I can't run the uninstaller. I am on CentOS 7. Here's ...
jss367's user avatar
  • 195
0 votes
1 answer
716 views

Transaction check error during CUDA installation on CentOS 7

I am trying to install CUDA on a Linux CentOS 7 x86_64 AWS instance via the installation guide and running into an error that I cannot resolve. Here are the steps I took: I verified that I had gcc ...
jss367's user avatar
  • 195